"""add new param in task_file

Revision ID: 290b83556e2a
Revises: 4b6cd5ef415d
Create Date: 2024-04-21 03:52:32.297196

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '290b83556e2a'
down_revision: Union[str, None] = '4b6cd5ef415d'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('task_file', sa.Column('project_id', sa.Integer(), nullable=False))
    op.create_foreign_key(None, 'task_file', 'project', ['project_id'], ['id'])
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'task_file', type_='foreignkey')
    op.drop_column('task_file', 'project_id')
    # ### end Alembic commands ###
